Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldOffset

Return the offset into an array or `Vec` for the field dof associated with the given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt *offset)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

## Output Parameter

- offset - the offset

## Notes

In a global section, `offset` will be negative for points not owned by this process.

The `offset` values are different depending on a value set with `PetscSectionSetPointMajor()`

## See Also

PetscSection, `PetscSection`, `PetscSectionGetOffset()`, `PetscSectionCreate()`, `PetscSectionGetFieldPointOffset()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages